# Overview

This charm provides an Ubuntu image with figlet and cowsay installed.
This charm is an example for cfgmgmtcamp 2016

# Usage

Step by step instructions on using this charm:

    juju deploy cfgmgmtcamp

You can then ssh to the instance with:

    juju ssh cfgmgmtcamp/0

## Configuration

This charm can be configured to output text to the unit logs with
either a cowsay or a figlet message or both.

## Scale out Usage

This charm is not designed to be used at scale since it does not have any relationships, however you can bulk add machines with `add-unit`:

    juju add-unit cfgmgmtcamp      # Add one more
    juju add-unit -n5 cfgmgmtcamp  # Add 5 at a time


You can also alias names in order to organize a bunch of empty instances:

    juju deploy cfgmgmtcamp mytestmachine1
    juju deploy cfgmgmtcamp mytestmachine2

and so on.

## Known Limitations and Issues

This charm does not provide anything other than a blank server, so it does not relate to other charms.

# Configuration

This charm has no configuration options.

# Contact Information


## Upstream Project Name

- [Ubuntu](http://ubuntu.com)
- [Bug tracker](http://bugs.launchpad.net/ubuntu)
- [Ubuntu Server Mailing list](https://lists.ubuntu.com/archives/ubuntu-server/)

## Charm Contact Information

- Author: Juju Charm Community
- Report bugs at: [http://bugs.launchpad.net/charms/+source/ubuntu](http://bugs.launchpad.net/charms/+source/ubuntu)
- Location: [http://jujucharms.com/charms/precise/ubuntu](http://jujucharms.com/charms/precise/ubuntu)
